    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.acl.Group

public interface Group
extends Principal

This interface is used to represent a group of principals. (A principal represents an entity such as an individual user or a company).

Note that Group extends Principal. Thus, either a Principal or a Group can be passed as an argument to methods containing a Principal parameter. For example, you can add either a Principal or a Group to a Group object by calling the object's `addMember` method, passing it the Principal or Group.

##

addMember(Principal)
  Adds the specified member to the group.
isMember(Principal)
  Returns true if the passed principal is a member of the group.
members()
  Returns an enumeration of the members in the group.
removeMember(Principal)
  Removes the specified member from the group.

##

addMember

     public abstract boolean addMember(Principal user)

  Adds the specified member to the group.

  Parameters:
    user - the principal to add to this group.
  Returns:
    true if the member was successfully added, false if the principal was already a member.

removeMember

     public abstract boolean removeMember(Principal user)

  Removes the specified member from the group.

  Parameters:
    user - the principal to remove from this group.
  Returns:
    true if the principal was removed, or false if the principal was not a member.

isMember

     public abstract boolean isMember(Principal member)

  Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.

  Parameters:
    member - the principal whose membership is to be checked.
  Returns:
    true if the principal is a member of this group, false otherwise.

members

     public abstract Enumeration members()

  Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).

  Returns:
    an enumeration of the group members.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.